# Uses of Enum Class
org.apache.sysds.runtime.controlprogram.ParForProgramBlock.PDataPartitionFormat

Packages that use ParForProgramBlock.PDataPartitionFormat
Package
Description
org.apache.sysds.runtime.controlprogram
org.apache.sysds.runtime.controlprogram.caching
org.apache.sysds.runtime.controlprogram.parfor

## Uses of ParForProgramBlock.PDataPartitionFormat in org.apache.sysds.runtime.controlprogram

Fields in org.apache.sysds.runtime.controlprogram declared as ParForProgramBlock.PDataPartitionFormat
Modifier and Type
Field
Description
`final ParForProgramBlock.PDataPartitionFormat`
ParForProgramBlock.PartitionFormat.`_dpf`
Methods in org.apache.sysds.runtime.controlprogram that return ParForProgramBlock.PDataPartitionFormat
Modifier and Type
Method
Description
`static ParForProgramBlock.PDataPartitionFormat`
ParForProgramBlock.PDataPartitionFormat.`parsePDataPartitionFormat(String s)`
Note: Robust version of valueOf in order to return NONE without exception if misspelled or non-existing and for case-insensitivity.
`static ParForProgramBlock.PDataPartitionFormat`
ParForProgramBlock.PDataPartitionFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParForProgramBlock.PDataPartitionFormat[]`
ParForProgramBlock.PDataPartitionFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.apache.sysds.runtime.controlprogram with parameters of type ParForProgramBlock.PDataPartitionFormat
Modifier
Constructor
Description
``
`PartitionFormat(ParForProgramBlock.PDataPartitionFormat dpf, int N)`

## Uses of ParForProgramBlock.PDataPartitionFormat in org.apache.sysds.runtime.controlprogram.caching

Methods in org.apache.sysds.runtime.controlprogram.caching that return ParForProgramBlock.PDataPartitionFormat
Modifier and Type
Method
Description
`ParForProgramBlock.PDataPartitionFormat`
MatrixObject.`getPartitionFormat()`
Methods in org.apache.sysds.runtime.controlprogram.caching with parameters of type ParForProgramBlock.PDataPartitionFormat
Modifier and Type
Method
Description
`void`
MatrixObject.`setPartitioned(ParForProgramBlock.PDataPartitionFormat format, int n)`

## Uses of ParForProgramBlock.PDataPartitionFormat in org.apache.sysds.runtime.controlprogram.parfor

Methods in org.apache.sysds.runtime.controlprogram.parfor with parameters of type ParForProgramBlock.PDataPartitionFormat
Modifier and Type
Method
Description
`static MatrixBlock`
DataPartitioner.`createReuseMatrixBlock(ParForProgramBlock.PDataPartitionFormat dpf, int rows, int cols)`
Constructors in org.apache.sysds.runtime.controlprogram.parfor with parameters of type ParForProgramBlock.PDataPartitionFormat
Modifier
Constructor
Description
``
`DataPartitionerRemoteSparkMapper(DataCharacteristics mc, Types.FileFormat fmt, ParForProgramBlock.PDataPartitionFormat dpf, int n)`